#!/usr/bin/env python
# -*- coding: utf-8 -*-
# The idea taken from RobA Shellout http://registry.gimp.org/node/24977

# ChangeImage by Krzysztof Zajączkowski https://sites.google.com/site/obliczeniowo/programowanie/projekty/01-c/program-do-tworzenia-gradientow-gimpa-inkscape-a-lub-css
import os, sys
from gimpfu import *
import shlex
import subprocess


def plugin_main(image, layer):
	name = pdb.gimp_item_get_name(image.active_layer)
	#layer_name=pdb.gimp_item_set_name(layer, name)
	outputPath = gimp.directory +  os.sep + 'plug-ins' + os.sep + 'Gradient_From_Image' + os.sep + 'Standard graphics file'  + os.sep + 'Imported from Gimp' + '.png'
	pdb.file_png_save(image, image.active_layer, outputPath, outputPath, 0, 9, 0, 0, 0, 0, 0)
	command = gimp.directory +  os.sep + 'plug-ins' + os.sep + 'Gradient_From_Image' + os.sep + 'ChangeImage.exe'
	child = subprocess.Popen(command, shell=True)
	child.communicate()	

register(
        "python_fu_Gradient_From_Image",
        "Gradient_From_Image",
        "Gradient_From_Image",
        "MareroQ",
        "GPL",
        "2022",
        "<Image>/Tools/Gradient From Image",
        "*", 
        [],
        [],
        plugin_main,
        )

main()